package com.hand.adf.widgets.weather.view.backing.city;

import java.util.HashMap;

import java.util.Map;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

public class GoogleCityHandler extends org.xml.sax.helpers.DefaultHandler {

    Map cityList;
    HashMap currCity;

    public GoogleCityHandler(Map cityList) {
        this.cityList = cityList;
        currCity = null;
    }

    public void startElement(String namespaceURI, String localName,
                             String qName,
                             Attributes atts) throws SAXException {
        if (localName.equals("city")) {
            currCity = new HashMap();
            if (atts.getValue("default") != null &&
                atts.getValue("default").equals("true")) {
                this.currCity.put("default", true);
            }
        }

        if (localName.equals("name")) {
            cityList.put(atts.getValue("data"), currCity);
            currCity.put("name", atts.getValue("data"));
        }

        if (localName.equals("latitude_e6")) {
            currCity.put("latitude_e6", atts.getValue("data"));
        }
        if (localName.equals("longitude_e6")) {
            currCity.put("longitude_e6", atts.getValue("data"));
        }
    }
}
