package com.hand.adf.widgets.weather.view.backing.weather;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

public class GoogleWeatherHandler extends org.xml.sax.helpers.DefaultHandler {

    WeatherSet weather;

    String currLocal;

    public GoogleWeatherHandler(WeatherSet set) {
        weather = set;
        currLocal = null;
    }

    @Override
    public void startDocument() throws SAXException {
    }

    public void endDocument() throws SAXException {
    }

    public void startElement(String namespaceURI, String localName,
                             String qName,
                             Attributes atts) throws SAXException {
        
        if (localName.equals("forecast_information") ||
            localName.equals("current_conditions") ||
            localName.equals("forecast_conditions")) {
            currLocal = localName;
            return;
        }

        if(currLocal != null && currLocal.equals("forecast_information")) {
            weather.getForecastInfoMap().put(localName, atts.getValue("data"));
        }
        
        if(currLocal != null && currLocal.equals("current_conditions")) {
            weather.getCurrentConditionsMap().put(localName, atts.getValue("data"));
        }
        
        if(currLocal != null && currLocal.equals("forecast_conditions")) {
            weather.getCurrForecastMap().put(localName, atts.getValue("data"));
        }
    }

    public void endElement(String namespaceURI, String localName,
                           String qName) throws SAXException {
        if(localName.equals("forecast_conditions")) {
            weather.nextForecastMap();
        }
    }

    public void characters(char[] ch, int start, int length) {
    }

}
