package com.hand.adf.widgets.weather.view.backing.weather;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class WeatherSet {
	
    Map forecastInfo;  // forecast locale info
    Map currentConditions; // current time forecast info
    ArrayList<Map> forecastConditions; // future X days forecast info
    Map currForecastConditions; // current forecast info for forecastConditions
	
    //construct
    public WeatherSet(){
        this.forecastInfo = new HashMap();
        this.currentConditions = new HashMap();
        this.forecastConditions = new ArrayList<Map>();
        this.currForecastConditions = null;
    }
	
    public Map getForecastInfoMap() {
        return this.forecastInfo;
    }
    
    public Map getCurrentConditionsMap() {
        return this.currentConditions;
    }
    
    public Map getCurrForecastMap() {
        if(currForecastConditions == null) {
            this.addForecastMap();
        }
        return this.currForecastConditions;
    }
    
    public void addForecastMap() {
        this.currForecastConditions = new HashMap();
        this.forecastConditions.add(currForecastConditions);
    }
    
    public void delLastForecastMap() {
        this.forecastConditions.remove(this.currForecastConditions);
        this.currForecastConditions = null;
    }
    
    public void nextForecastMap(){
        this.currForecastConditions = null;
    }
    
    public ArrayList<Map> getForecastConditions() {
        return this.forecastConditions;
    }
}
